DirectoryInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DirectoryInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DirectoryInfo

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DirectoryInfo

extends LogicalElement

Naming Rules:
  0="parent,directoryAssistanceDatabaseName"
Persistable:
  true
Table Name:
  DIRINFO
Display Name:
  directoryAssistanceDatabaseName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAllowAsRemoteDirectory()`
`DirectoryAssistance[]` | `getDirectoryAssistance()`
`java.lang.String` | `getDirectoryAssistanceDatabaseName()`
`java.lang.String` | `getDirectoryType()`
`java.lang.String` | `getNameOfCondensedDirectoryCatalog()`
`DominoServer` | `getParent()`
`boolean` | `hasAllowAsRemoteDirectory()`
`boolean` | `hasDirectoryAssistance()`
`boolean` | `hasDirectoryAssistanceDatabaseName()`
`boolean` | `hasDirectoryType()`
`boolean` | `hasNameOfCondensedDirectoryCatalog()`
`boolean` | `hasParent()`
`void` | `setAllowAsRemoteDirectory(java.lang.String name)`
`void` | `setDirectoryAssistance(DirectoryAssistance[] s)`
`void` | `setDirectoryAssistanceDatabaseName(java.lang.String name)`
`void` | `setDirectoryType(java.lang.String name)`
`void` | `setNameOfCondensedDirectoryCatalog(java.lang.String name)`
`void` | `setParent(DominoServer server)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer server)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setDirectoryAssistanceDatabaseName

    void setDirectoryAssistanceDatabaseName(java.lang.String name)

### getDirectoryAssistanceDatabaseName

    java.lang.String getDirectoryAssistanceDatabaseName()
                                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDirectoryAssistanceDatabaseName

    boolean hasDirectoryAssistanceDatabaseName()

### setDirectoryType

    void setDirectoryType(java.lang.String name)

### getDirectoryType

    java.lang.String getDirectoryType()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDirectoryType

    boolean hasDirectoryType()

### setAllowAsRemoteDirectory

    void setAllowAsRemoteDirectory(java.lang.String name)

### getAllowAsRemoteDirectory

    java.lang.String getAllowAsRemoteDirectory()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAllowAsRemoteDirectory

    boolean hasAllowAsRemoteDirectory()

### setNameOfCondensedDirectoryCatalog

    void setNameOfCondensedDirectoryCatalog(java.lang.String name)

### getNameOfCondensedDirectoryCatalog

    java.lang.String getNameOfCondensedDirectoryCatalog()
                                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasNameOfCondensedDirectoryCatalog

    boolean hasNameOfCondensedDirectoryCatalog()

### setDirectoryAssistance

    void setDirectoryAssistance(DirectoryAssistance[] s)

  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### getDirectoryAssistance

    DirectoryAssistance[] getDirectoryAssistance()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDirectoryAssistance

    boolean hasDirectoryAssistance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD